%define version 0.91.1
%define release 2mdk
%define name 	gqmpeg

Summary: 	Graphical Frontend to various music players
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	GPL
Group: 		Sound
URL: 		http://gqmpeg.sourceforge.net/
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot
Source: 	ftp://osdn.dl.sourceforge.net/pub/sourceforge/g/gq/%{name}/%{name}-%{version}.tar.bz2
Patch0:		gqmpeg-0.91.1-no-translation.patch.bz2
Buildrequires:	gtk2-devel >= 2.2.0
BuildRequires:	png-devel

Requires:	mpg123 >= 0.59
Requires:	vorbis-tools
# (Abel) not adding xmp for now
#Requires:	xmp

%description
GQmpeg is a graphical frontend to various command line
music players. It includes playlist support and all the
usual playing features. random, repeat, etc.; and it supports
custom skins (looks).

%prep
%setup -q
%patch0 -p1 -b .no-translation

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/gqmpeg" \
 title="Gqmpeg" \
 longtitle="Graphical Frontend of Audio Players" \
 needs="x11" \
 icon="sound_section.png" \
 section="Multimedia/Sound"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)

%doc README COPYING FAQ TODO SKIN-SPECS SKIN-SPECS-V1 plugin/README.plugin
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_menudir}/%{name}

%changelog
* Wed Jul 07 2004 Abel Cheung <deaddog@deaddog.org> 0.91.1-2mdk
- Cleanup
- P0: Don't show translation header in playlist window
- Now gqmpeg is a frontend to other players too, not only mpg123

* Wed Jun 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.91.1-1mdk
- 0.91.1

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20.0-2mdk
- buildrequires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20.0-1mdk
- 0.20.0

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.19.0-2mdk
- 0.19.0

* Wed Nov 06 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.19.0-1mdk
- release 0.19

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.17.0-1mdk
- 0.17.0

* Tue Jul 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.16.0-2mdk
- include Tim Spalding pathc (zombie processes in ogg support)

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.16.0-1mdk
- 0.16.0

* Mon Mar 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15.0-1mdk
- 0.15.0

* Wed Feb 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.13.0-1mdk
- 0.13.0

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12.0-2mdk
- Fix menu entry

* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.12.0-1mdk
- 0.12.0

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.11.0-1mdk
- 0.11.0

* Sun Nov 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0-1mdk
- 0.10.0

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-3mdk
- rebuild against new libpng

* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- rebuild

* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0.

* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- updated to 0.8.3
- fix build

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-3mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-2mdk
- fix group and files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs

